diff -uNr slrn.orig/src/art.c slrn/src/art.c
--- slrn.orig/src/art.c	Sat Nov  3 21:48:57 2001
+++ slrn/src/art.c	Sun Feb 17 11:34:07 2002
@@ -146,6 +146,8 @@
 int Slrn_Simulate_Graphic_Chars = 0;
 int Slrn_Del_Article_Upon_Read = 1;
 
+int Slrn_Usenet_Digest_Forward = 0;
+
 char *Slrn_Current_Group_Name;
 Slrn_Header_Type *Slrn_First_Header;
 Slrn_Header_Type *Slrn_Current_Header;
@@ -2795,6 +2797,7 @@
 static void forward_article (void) /*{{{*/
 {
    char *subject;
+   char *newsgroups;
    Slrn_Article_Line_Type *l;
    FILE *fp;
    char file[256];
@@ -2840,6 +2843,10 @@
      }
 
    subject = slrn_extract_header ("Subject: ", 9);
+   if (subject == NULL) subject = "";
+
+   newsgroups = slrn_extract_header ("Newsgroups: ",12);
+   if (newsgroups == NULL) newsgroups = "";
    
    fprintf (fp, "To: %s\n", to); n = 4;
    
@@ -2850,7 +2857,14 @@
 	fprintf (fp, "From: %s\n", from); n++;
      }
    
-   fprintf (fp, "Subject: Fwd: %s\n", subject == NULL ? "" : subject);
+   if (Slrn_Usenet_Digest_Forward)
+     {
+	fprintf (fp, "Subject: [%s] %s\n", newsgroups, subject);
+     } 
+   else 
+     {
+	fprintf (fp, "Subject: Fwd: %s\n", subject);
+     }
    
    if (0 != *Slrn_User_Info.replyto)
      {
diff -uNr slrn.orig/src/art.h slrn/src/art.h
--- slrn.orig/src/art.h	Sat Nov  3 16:15:54 2001
+++ slrn/src/art.h	Sun Feb 17 11:33:07 2002
@@ -63,6 +63,7 @@
 extern int Slrn_Pgp_Signature_Hidden;
 extern int Slrn_Verbatim_Marks_Hidden;
 extern int Slrn_Warn_Followup_To;
+extern int Slrn_Usenet_Digest_Forward;
 
 extern char *Slrn_X_Browser;
 
diff -uNr slrn.orig/src/startup.c slrn/src/startup.c
--- slrn.orig/src/startup.c	Sat Nov  3 16:15:46 2001
+++ slrn/src/startup.c	Sun Feb 17 11:32:02 2002
@@ -546,6 +546,7 @@
      {"wrap_method", &Slrn_Wrap_Method},
      {"write_newsrc_flags", &Slrn_Write_Newsrc_Flags},
      {"query_read_group_cutoff", &Slrn_Query_Group_Cutoff},
+     {"usenet_digest_forward",&Slrn_Usenet_Digest_Forward},
      {"use_header_numbers", &Slrn_Use_Header_Numbers},
      {"use_localtime", &Slrn_Use_Localtime},
 #if SLRN_HAS_SPOILERS
